Skip to main content
GET
/
api
/
v2
/
auditlog
/
{id}
Get audit log entry
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/auditlog/{id} \
  --header 'Authorization: <api-key>'
{
  "_links": {},
  "_id": "1234a56b7c89d012345e678f",
  "_accountId": "1234a56b7c89d012345e678f",
  "date": "1654104600000",
  "accesses": [
    {
      "action": "<string>",
      "resource": "<string>"
    }
  ],
  "kind": "flag",
  "name": "Example feature flag",
  "description": "Example, turning on the flag for testing",
  "shortDescription": "Example, turning on the flag",
  "comment": "This is an automated test",
  "subject": {
    "_links": {},
    "name": "<string>",
    "avatarUrl": "<string>"
  },
  "member": {
    "_links": {},
    "_id": "507f1f77bcf86cd799439011",
    "email": "ariel@acme.com",
    "firstName": "Ariel",
    "lastName": "Flores"
  },
  "token": {
    "_links": {},
    "_id": "<string>",
    "name": "DevOps token",
    "ending": "2345",
    "serviceToken": false
  },
  "app": {
    "_links": {},
    "_id": "<string>",
    "isScim": true,
    "name": "<string>",
    "maintainerName": "<string>"
  },
  "titleVerb": "turned on the flag",
  "title": "<string>",
  "target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
  "parent": {
    "_links": {},
    "name": "<string>",
    "resource": "<string>"
  },
  "delta": "<unknown>",
  "triggerBody": "<unknown>",
  "merge": "<unknown>",
  "previousVersion": "<unknown>",
  "currentVersion": "<unknown>",
  "subentries": [
    {
      "_links": {},
      "_id": "1234a56b7c89d012345e678f",
      "_accountId": "1234a56b7c89d012345e678f",
      "date": "1654104600000",
      "accesses": [
        {
          "action": "<string>",
          "resource": "<string>"
        }
      ],
      "kind": "flag",
      "name": "Example feature flag",
      "description": "Example, turning on the flag for testing",
      "shortDescription": "Example, turning on the flag",
      "comment": "This is an automated test",
      "subject": {
        "_links": {},
        "name": "<string>",
        "avatarUrl": "<string>"
      },
      "member": {
        "_links": {},
        "_id": "507f1f77bcf86cd799439011",
        "email": "ariel@acme.com",
        "firstName": "Ariel",
        "lastName": "Flores"
      },
      "token": {
        "_links": {},
        "_id": "<string>",
        "name": "DevOps token",
        "ending": "2345",
        "serviceToken": false
      },
      "app": {
        "_links": {},
        "_id": "<string>",
        "isScim": true,
        "name": "<string>",
        "maintainerName": "<string>"
      },
      "titleVerb": "turned on the flag",
      "title": "<string>",
      "target": "[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production",
      "parent": {
        "_links": {},
        "name": "<string>",
        "resource": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<string>
required

The ID of the audit log entry

Response

Audit log entry response

The location and content type of related resources

_id
string
required

The ID of the audit log entry

Example:

"1234a56b7c89d012345e678f"

_accountId
string
required

The ID of the account to which this audit log entry belongs

Example:

"1234a56b7c89d012345e678f"

date
integer<int64>
required

Timestamp of the audit log entry

Example:

"1654104600000"

accesses
object[]
required

Details on the actions performed and resources acted on in this audit log entry

kind
string
required

The type of resource this audit log entry refers to

Example:

"flag"

name
string
required

The name of the resource this audit log entry refers to

Example:

"Example feature flag"

description
string
required

Description of the change recorded in the audit log entry

Example:

"Example, turning on the flag for testing"

shortDescription
string
required

Shorter version of the change recorded in the audit log entry

Example:

"Example, turning on the flag"

comment
string

Optional comment for the audit log entry

Example:

"This is an automated test"

subject
object

Details of the subject who initiated the action described in the audit log entry

member
object

Details of the member who initiated the action described in the audit log entry

token
object

Details of the access token that initiated the action described in the audit log entry

app
object

Details of the authorized application that initiated the action described in the audit log entry

titleVerb
string

The action and resource recorded in this audit log entry

Example:

"turned on the flag"

title
string

A description of what occurred, in the format member titleVerb target

target
object

Details of the resource acted upon in this audit log entry

Example:

"[Ariel Flores](mailto:ariel@acme.com) turned on the flag [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag) in Production"

parent
object
delta
any

If the audit log entry has been updated, this is the JSON patch body that was used in the request to update the entity

triggerBody
any

A JSON representation of the external trigger for this audit log entry, if any

merge
any

A JSON representation of the merge information for this audit log entry, if any

previousVersion
any

If the audit log entry has been updated, this is a JSON representation of the previous version of the entity

currentVersion
any

If the audit log entry has been updated, this is a JSON representation of the current version of the entity

subentries
object[]